Channels
Configure workspace channel cadence
PUT
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
workspaceId*stringLength
1 <= lengthchannelId*stringLength
1 <= length- body
expectedRevision*integerRange
0 <= valuetimeZone?stringdailyMax*|nullweeklyMax*|nullminimumIntervalMs*|nullResponse for status 200
application/json- response
channelId*stringrevision*integertimeZone*stringdailyMax*integer|nullweeklyMax*integer|nullminimumIntervalMs*integer|nullcurl -X PUT 'https://postdot.example/api/workspaces/string/channels/string/cadence' \
-H 'Content-Type: application/json' \
-d '{
"expectedRevision": 0,
"dailyMax": 1,
"weeklyMax": 1,
"minimumIntervalMs": 1
}'Example Response
{
"channelId": "string",
"revision": 0,
"timeZone": "string",
"dailyMax": 0,
"weeklyMax": 0,
"minimumIntervalMs": 0
}